Subject: bug#17746: bug#17746: 24.4.50; "byte-code: `recenter'ing a window that does not display current-buffer." when composing a message

From: Daimrod <[email-masked]>
Date: Sat, 14 Jun 2014 12:28:10 +0900

Bastien <[email-masked]> writes:

> Nicolas Richard <[email-masked]> writes:
>
>> Perhaps this isn't the right place to ask, but I wonder how
>> (save-excursion (set-window-start (selected-window) (window-start)))
>> isn't a noop.
>
> Perhaps it is a noop -- The purpose of `org-fix-ellipsis-at-bol'
> is to remove the ellipsis overlay that outline-mode may leave
> when navigating through folded regions.  At least this was the
> purpose of the original version, and using recenter did the
> job.  I'll try to reproduce the original bug, see if the new
> version of `org-fix-ellipsis-at-bol' does the job and if not,
> why.

In `org-fix-ellipsis-at-bol', the change wasn't
: (save-excursion (set-window-start (selected-window) (window-start)))

but
: (save-excursion (set-window-start (selected-window) (point-min)))

which is not a noop.

But it does the wrong thing with isearch.

When isearch is done, that is, when it has found a match and we leave
isearch with RET for example. Then it calls `isearch-done' which runs
`org-fix-ellipsis-at-bol' because it is in `isearch-mode-end-hook' (I
didn't look to find why).

Because of this, if the pattern found isn't at the top of the buffer,
then the point won't be at the pattern, but at the top of the buffer.

Best,

--
Daimrod/Greg